Extending Qt Creator Manual | ResultData

Extending Qt Creator Manual 4.5.2

# ResultData Class

(Core::Tests::ResultData)

- List of all members, including inherited members

## Public Types

typedef | ResultDataList

## Public Functions

| ResultData()
| ResultData(const QString &textColumn1, const QString &textColumn2)
bool | operator==(const ResultData &other) const

## Static Public Members

ResultDataList | fromFilterEntryList(const QList<LocatorFilterEntry> &entries)
void | printFilterEntries(const ResultDataList &entries, const QString &msg = QString())

## Member Type Documentation

### typedef ResultData::ResultDataList

## Member Function Documentation

### ResultData::ResultData()

Default constructs an instance of ResultData.

### ResultData::ResultData(const QString &textColumn1, const QString &textColumn2)

Default constructs an instance of ResultData.

### `[static]` ResultDataList ResultData::fromFilterEntryList(const QList<LocatorFilterEntry> &entries)

### `[static]` void ResultData::printFilterEntries(const ResultDataList &entries, const QString &msg = QString())

### bool ResultData::operator==(const ResultData &other) const